v1_account_info_retrieve
GET
/api/v1/account/info/
const url = 'https://example.com/api/v1/account/info/';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/account/info/ \ --header 'X-API-Key: <X-API-Key>'Account profile and quota info, including numVmLimit — check this before creating a VM.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Media typeapplication/json
object
success
required
boolean
data
required
object
username
required
string
email
required
string
location
string
userurl
string
avatar
string
githubLastConnectedDate
string format: date-time
numVmLimit
required
0 means unlimited
integer
numVmsWithoutProvm
required
integer
ipChangeLimit
required
integer
ipChangeCountThisMonth
required
integer
numAppspaces
required
integer
numAppspaceLimit
required
integer
numSubdomains
required
integer
numSubdomainLimit
required
integer
trustLevel
integer
Example generated
{ "success": true, "data": { "username": "example", "email": "example", "location": "example", "userurl": "example", "avatar": "example", "githubLastConnectedDate": "2026-04-15T12:00:00Z", "numVmLimit": 1, "numVmsWithoutProvm": 1, "ipChangeLimit": 1, "ipChangeCountThisMonth": 1, "numAppspaces": 1, "numAppspaceLimit": 1, "numSubdomains": 1, "numSubdomainLimit": 1, "trustLevel": 1 }}